import { client, program } from '../common.ts';
import util from 'node:util';
const getMentions = async () => {
  try {
    const res = await client.getMention();
    if (res.code === 0) {
      console.log('getMentionNotifications', util.inspect(res, { depth: 10 }));
    }
  } catch (e) {
    console.error('error');
  }
};

program.command('mention').description('get mention notifications').action(getMentions);

const getTestMentionNote = async () => {
  const id = '68136dab0000000007034c46';
  const xsec_token = 'LByEmonX8WfJ9ebpAowVbOZcNgtJAAC8K2zx5Rmr_9Q7Y=';
  const title = '在笔记中@了你';
  const type = 'mention/item';
  const track_type = '2';
  const note = await client.getNoteByIdFromHtml(id, xsec_token);
  console.log('note', note);
};

program.command('test-mention').description('get mention note').action(getTestMentionNote);
